Get all models

get

/fscmRestApi/resources/11.13.18.05/supplierQualificationModels

Request

Query Parameters
  • This query parameter is used to fetch resources which are effective dated as of the specified start date. The value of this query parameter is a string having a date in yyyy-MM-dd format
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables

    • PrimaryKey Finds unique models based on the model identifier.
      Finder Variables
      • QualModelId; integer; Value that uniquely identifies the model.
    • findByProcurementBUId Find the qualification model based on the procurement business unit.
      Finder Variables
      • b_PrcBUId; integer; Value that uniquely identifies the model based on the business unit.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • ActivationDate; string; Date and time when the model is activated.
    • AssessmentOwnerId; integer; Value that uniquely identifies the owner of the model.
    • AutoEvaluateAssessmentFlag; boolean; Contains one of the following values: true or false. If true, the assessment created based on the qualification model will be automatically evaluated. If false, automatic evaluation is disabled. The default value is false.
    • DefaultAssessmtOwnerFlag; boolean; Contains one of the following values: true or false. If true, the model's default owner becomes the assessment owner. The default value is false.
    • EnableScoringFlag; boolean; Contains one of the following values: true or false. If true, scoring is enabled on the qualification model. If false, scoring isn't enabled. The default value is false.
    • ExpirationReminderPeriod; integer; Period during which the application alerts the owner about the expiration of an assessment.
    • ExpirationReminderType; string; Unit of time to indicate days, weeks, or months.
    • ExpirationReminderTypeCode; string; Unit of time to indicate days, weeks, or months.
    • GlobalFlag; boolean; Contains one of the following values: true or false. If true, the setup object is globally accessible by all procurement business units. If false, the setup object isn't globally accessible. The default value is false.
    • HasInactiveQualAreasFlag; boolean; Contains one of the following values: true or false. If true, the qualification model contains an inactive qualification area.
    • HasInactiveQuestionsFlag; boolean; Contains one of the following values: true or false. If true, the qualification model contains a qualification area with an inactive question.
    • LatestRevisionFlag; boolean; Contains one of the following values: true or false. If true, the qualification area revision is the most recent. If false, the revision of the question isn't the latest. The default value is false.
    • NoteToSupplier; string; Value indicating a note to the supplier about the assessment.
    • OriginalQualModelId; integer; Value that uniquely identifies the original model.
    • Owner; string; Name of the person who owns the qualification model.
    • OwnerId; integer; Value that uniquely identifies the owner of the model.
    • ProcurementBU; string; Value that uniquely identifies the owner of the model.
    • ProcurementBUId; integer; Value that uniquely identifies the owning procurement business unit.
    • QualModel; string; Name of the qualification model.
    • QualModelDescription; string; Description of the qualification model.
    • QualModelId; integer; Value that uniquely identifies the model.
    • QualModelLevel; string; Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
    • QualModelLevelCode; string; Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
    • QualModelUsageCode; string; Value that uniquely identifies whether the record is for a qualification model or checklist.
    • ReassessQualificationFlag; boolean; Contains one of the following values: true or false. If true, the assessment needs to be reassessed upon the creation of a new qualification. The default value is false.
    • Revision; integer; Number that identifies the revision of this model. Revision 0 is the base revision.
    • ShareEligibilityFlag; boolean; Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
    • ShowAssessmentQualFlag; boolean; Contains one of the following values: true or false. If true, the assessment's qualifications are shared with the supplier along with the assessment details. The default value is false.
    • ShowAssessmtToSuppFlag; boolean; Contains one of the following values: true or false. If true, the response summary is shared with the corresponding supplier. If false, it's not shared. The default value is false.
    • SourcingEligibilityFlag; boolean; Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
    • Status; string; Status of the model.
    • StatusCode; string; Abbreviation that identifies the status of the model. A list of accepted values is defined in the lookup type POQ_QUAL_MODEL_STATUS. Review the values for this attribute using the Setup and Maintenance work area and the Manage Standard Lookups task.
    • Subject; string; Value that identifies the subject to be associated with the area that's used to conduct a search.
    • SubjectCode; string; Abbreviation that identifies the subject to be associated with the area for search purposes. A list of accepted values is defined in the lookup type POQ_SUBJECT. Review the values for this attribute using the Setup and Maintenance work area, and the Manage Standard Lookups task.
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • This header accepts a string value. The string is a semi-colon separated list of =. It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers.
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : supplierQualificationModels
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : supplierQualificationModels-item-response
Type: object
Show Source
  • Date and time when the model is activated.
  • Qualification Model Areas
    Title: Qualification Model Areas
    A grouping of areas associated with a particular qualification model.
  • Value that uniquely identifies the owner of the model.
  • Attachments
    Title: Attachments
    The attachments resource is used to view, create, and update attachments.
  • Maximum Length: 1
    Default Value: false
    Contains one of the following values: true or false. If true, the assessment created based on the qualification model will be automatically evaluated. If false, automatic evaluation is disabled. The default value is false.
  • Qualification Model Business Units
    Title: Qualification Model Business Units
    A set of business units associated with a particular qualification model.
  • Maximum Length: 1
    Default Value: false
    Contains one of the following values: true or false. If true, the model's default owner becomes the assessment owner. The default value is false.
  • Maximum Length: 1
    Default Value: false
    Contains one of the following values: true or false. If true, scoring is enabled on the qualification model. If false, scoring isn't enabled. The default value is false.
  • Period during which the application alerts the owner about the expiration of an assessment.
  • Title: Meaning
    Read Only: true
    Maximum Length: 80
    Unit of time to indicate days, weeks, or months.
  • Maximum Length: 30
    Unit of time to indicate days, weeks, or months.
  • Maximum Length: 1
    Default Value: false
    Contains one of the following values: true or false. If true, the setup object is globally accessible by all procurement business units. If false, the setup object isn't globally accessible. The default value is false.
  • Read Only: true
    Maximum Length: 255
    Contains one of the following values: true or false. If true, the qualification model contains an inactive qualification area.
  • Read Only: true
    Maximum Length: 255
    Contains one of the following values: true or false. If true, the qualification model contains a qualification area with an inactive question.
  • Maximum Length: 1
    Default Value: true
    Contains one of the following values: true or false. If true, the qualification area revision is the most recent. If false, the revision of the question isn't the latest. The default value is false.
  • Links
  • Maximum Length: 1000
    Value indicating a note to the supplier about the assessment.
  • Value that uniquely identifies the original model.
  • Qualification Model Outcomes
    Title: Qualification Model Outcomes
    A set of outcomes associated with a particular qualification model.
  • Title: Name
    Read Only: true
    Maximum Length: 240
    Name of the person who owns the qualification model.
  • Value that uniquely identifies the owner of the model.
  • Title: Organization
    Read Only: true
    Maximum Length: 240
    Value that uniquely identifies the owner of the model.
  • Value that uniquely identifies the owning procurement business unit.
  • Maximum Length: 80
    Name of the qualification model.
  • Maximum Length: 240
    Description of the qualification model.
  • Read Only: true
    Value that uniquely identifies the model.
  • Title: Meaning
    Read Only: true
    Maximum Length: 80
    Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
  • Maximum Length: 30
    Default Value: SUPPLIER
    Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
  • Maximum Length: 30
    Value that uniquely identifies whether the record is for a qualification model or checklist.
  • Maximum Length: 1
    Default Value: false
    Contains one of the following values: true or false. If true, the assessment needs to be reassessed upon the creation of a new qualification. The default value is false.
  • Default Value: 0
    Number that identifies the revision of this model. Revision 0 is the base revision.
  • Maximum Length: 1
    Default Value: false
    Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
  • Maximum Length: 1
    Default Value: false
    Contains one of the following values: true or false. If true, the assessment's qualifications are shared with the supplier along with the assessment details. The default value is false.
  • Maximum Length: 1
    Default Value: false
    Contains one of the following values: true or false. If true, the response summary is shared with the corresponding supplier. If false, it's not shared. The default value is false.
  • Maximum Length: 1
    Default Value: false
    Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
  • Title: Meaning
    Read Only: true
    Maximum Length: 80
    Status of the model.
  • Maximum Length: 30
    Default Value: DRAFT
    Abbreviation that identifies the status of the model. A list of accepted values is defined in the lookup type POQ_QUAL_MODEL_STATUS. Review the values for this attribute using the Setup and Maintenance work area and the Manage Standard Lookups task.
  • Title: Meaning
    Read Only: true
    Maximum Length: 80
    Value that identifies the subject to be associated with the area that's used to conduct a search.
  • Maximum Length: 30
    Abbreviation that identifies the subject to be associated with the area for search purposes. A list of accepted values is defined in the lookup type POQ_SUBJECT. Review the values for this attribute using the Setup and Maintenance work area, and the Manage Standard Lookups task.
Nested Schema : Qualification Model Areas
Type: array
Title: Qualification Model Areas
A grouping of areas associated with a particular qualification model.
Show Source
Nested Schema : Attachments
Type: array
Title: Attachments
The attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : Qualification Model Business Units
Type: array
Title: Qualification Model Business Units
A set of business units associated with a particular qualification model.
Show Source
Nested Schema : Qualification Model Outcomes
Type: array
Title: Qualification Model Outcomes
A set of outcomes associated with a particular qualification model.
Show Source
Nested Schema : supplierQualificationModels-areas-item-response
Type: object
Show Source
Nested Schema : supplierQualificationModels-attachments-item-response
Type: object
Show Source
Nested Schema : supplierQualificationModels-businessUnits-item-response
Type: object
Show Source
Nested Schema : supplierQualificationModels-outcomes-item-response
Type: object
Show Source
Back to Top

Examples

This example describes how to get all qualification models.

Example cURL Command

Use the following cURL command to submit a request on the REST resource:

curl -u username:password "https://servername/fscmRestApi/resources/version/supplierQualificationModels"

For example:

curl -u username:password "https://servername/fscmRestApi/resources/version/supplierQualificationModels"

Example Response Body

The following example includes the contents of the response body in JSON format:

{
  "items": [
    {
      "QualModelId": 300100250000001,
      "ActivationDate": null,
      "AssessmentOwnerId": 100010026863791,
      "AutoEvaluateAssessmentFlag": false,
      "DefaultAssessmtOwnerFlag": true,
      "EnableScoringFlag": true,
      "ExpirationReminderPeriod": 30,
      "ExpirationReminderTypeCode": "DAYS",
      "GlobalFlag": false,
      "LatestRevisionFlag": true,
      "NoteToSupplier": "The assessment summary is shared after evaluation.",
      "OriginalQualModelId": 300100250000001,
      "OwnerId": 100010026863791,
      "ProcurementBUId": 204,
      "QualModelDescription": "Evaluates supplier sustainability, environmental, and governance capabilities.",
      "QualModelLevelCode": "SUPPLIER",
      "SubjectCode": "SUSTAINABILITY",
      "QualModel": "Supplier Sustainability Assessment",
      "StatusCode": "DRAFT",
      "QualModelUsageCode": "QUALIFICATION_MODEL",
      "ReassessQualificationFlag": true,
      "Revision": 0,
      "ShowAssessmentQualFlag": true,
      "ShowAssessmtToSuppFlag": true,
      "Status": "Draft",
      "Subject": "Sustainability",
      "Owner": "Davis, Cody",
      "ExpirationReminderType": "Days",
      "ProcurementBU": "Vision Operations",
      "SourcingEligibilityFlag": true,
      "ShareEligibilityFlag": true,
      "QualModelLevel": "Supplier",
      "HasInactiveQualAreasFlag": false,
      "HasInactiveQuestionsFlag": false,
      "StandardsOrganizationCode": null,
      "StandardsOrganization": null,
      "AssessmentOwner": "Davis, Cody",
      "CreatedBy": "REST.USER",
      "CreationDate": "2026-08-25T10:30:00+00:00",
      "LastUpdatedBy": "REST.USER",
      "LastUpdateDate": "2026-08-25T10:30:00+00:00",
      "links": [
        {
          "rel": "self",
          "href": "https://servername/fscmRestApi/resources/11.13.18.05/supplierQualificationModels/300100250000001",
          "name": "supplierQualificationModels",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "https://servername/fscmRestApi/resources/11.13.18.05/supplierQualificationModels/300100250000001",
          "name": "supplierQualificationModels",
          "kind": "item"
        },
        {
          "rel": "child",
          "href": "https://servername/fscmRestApi/resources/11.13.18.05/supplierQualificationModels/300100250000001/child/areas",
          "name": "areas",
          "kind": "collection"
        },
        {
          "rel": "child",
          "href": "https://servername/fscmRestApi/resources/11.13.18.05/supplierQualificationModels/300100250000001/child/attachments",
          "name": "attachments",
          "kind": "collection"
        },
        {
          "rel": "child",
          "href": "https://servername/fscmRestApi/resources/11.13.18.05/supplierQualificationModels/300100250000001/child/businessUnits",
          "name": "businessUnits",
          "kind": "collection"
        },
        {
          "rel": "child",
          "href": "https://servername/fscmRestApi/resources/11.13.18.05/supplierQualificationModels/300100250000001/child/outcomes",
          "name": "outcomes",
          "kind": "collection"
        },
        {
          "rel": "action",
          "href": "https://servername/fscmRestApi/resources/11.13.18.05/supplierQualificationModels/300100250000001/action/activate",
          "name": "activate",
          "kind": "other"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "https://servername/fscmRestApi/resources/11.13.18.05/supplierQualificationModels",
      "name": "supplierQualificationModels",
      "kind": "collection"
    }
  ]
}
Back to Top